### Method

# Jsonrpc Client reply_error_async

since: 3.28

#### Declaration [src]

    void
    jsonrpc_client_reply_error_async (
      JsonrpcClient* self,
      GVariant* id,
      gint code,
      const gchar* message,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously replies to the peer, sending a JSON-RPC error message.

Call `jsonrpc_client_reply_error_finish()` to get the result of this operation.

If `id` is floating, it’s floating reference is consumed.

Available since: 3.28

#### Parameters

`id`

  Type: `GVariant`

  A `GVariant` containing the call id.

  The data is owned by the caller of the function.

`code`

  Type: `gint`

  The error code.

`message`

  Type: `const gchar*`

  An optional error message.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Closure data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.